/*
 * GUI front-end main header
 *
 * Copyright INOUE Seiichiro <inoue@ainet.or.jp>, licensed under the GPL.
 */
#ifndef __GDIFF_GUI_H__
#define __GDIFF_GUI_H__

#ifdef __cplusplus 
extern "C" {
#endif /* __cplusplus */

/*
 * Constant number
 */
#define APPNAME		"gtkdiff"

/* These values are written in ~/.gnome/gtkdiff file.
   So, I can't change these values. */
typedef enum {
	NO_VIEW = (1 << 0),
	DIR_VIEW = (1 << 1),
	FILE_VIEW = (1 << 2),
	
	ONEPANE_VIEW = FILE_VIEW | (1 << 8),
	TWOPANE_VIEW = FILE_VIEW | (1 << 9),
	MERGE_VIEW   = FILE_VIEW | (1 << 10)
} ViewType;

/* Move to a difference, such as next, previous, first or last. */	
typedef enum {
	MOVED_NEXT,
	MOVED_PREV,
	MOVED_FIRST,
	MOVED_LAST,
	MOVED_CURRENT,
	MOVED_CUR_NOSCROLL,	/* Same as MOVED_CURRENT but don't scroll */
	MOVED_REL_NEXT,
	MOVED_REL_PREV
} MoveDiff;

	
/* Row hide filter masks */
typedef enum {
	ROW_HIDE_EMACS = (1<<0),
	ROW_HIDE_OBJ = (1<<1)
} RowHideMask;


/* Forward declarations of types. */
typedef struct _GDiffWindow GDiffWindow;
typedef struct _Preference Preference;
typedef struct _WinPref WinPref;
typedef struct _DViewPref DViewPref;
typedef struct _FViewPref FViewPref;
typedef struct _DTextMap DTextMap;


/* Global function declarations */
/* filesel.c */ 
extern void filesel_open(GDiffWindow *gdwin);

/* statusbar.c */
extern void statusbar_create(GDiffWindow *gdwin);
extern void statusbar_update(GDiffWindow *gdwin, const char *msg);


#ifdef __cplusplus
} 
#endif /* __cplusplus */
 
#endif /* __GDIFF_GUI_H__ */
