/*
 * GUI status-bar module
 *
 * Copyright INOUE Seiichiro <inoue@ainet.or.jp>, licensed under the GPL.
 */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif
#include <gnome.h>
#include "diff.h"
#include "gui.h"
#include "gdwin.h"


/**
 * statusbar_create:
 **/
void
statusbar_create(GDiffWindow *gdwin)
{
	GtkWidget *statusbar;
	
	statusbar = gnome_appbar_new(FALSE, TRUE, GNOME_PREFERENCES_USER);
	gnome_app_set_statusbar(gdwin->app, statusbar);
}

/**
 * statusbar_update:
 * 'default' implies that the message will remains on status-bar.
 **/
void
statusbar_update(GDiffWindow *gdwin, const char *msg)
{
	gnome_appbar_set_default(GNOME_APPBAR(gdwin->app->statusbar), msg);
}
